Subject: Re: [PATCH] gitweb: Include links to feeds in HTML header only for '200 OK' response

From: Jakub Narebski <[email-masked]>
Date: Tue, 21 Dec 2010 00:59:09 +0100

On Sat, 18 Dec 2010, J.H. wrote:
> On 12/18/2010 01:48 PM, Jakub Narebski wrote:
>> J.H. wrote:
>> 
>>> I've no objection, you can add a sign-off from me.
>> 
>> Errr... sign-off or ack?  Signed-off-by is about provenance of code...
> 
> Considering this has already been running on kernel.org - sign-off.
> 
> http://git.kernel.org/?p=git/warthog9/gitweb.git;a=commit;h=41d9c63ad27a8d3c95bf8bb1ec5876483d39fbd6

>>From Documentation/SubmittingPatches:

  The sign-off is a simple line at the end of the explanation for
  the patch, which certifies that you wrote it or otherwise have
  the right to pass it on as a open-source patch.

So sign-off is about code provenance.  As I don't think that code goes
into official git/git.git repository managed by Junio via your
git/warthog9/gitweb.git repository, I don't quite see why it is *sign-off*
from you, and not ack (Acked-by:).

-- 
Jakub Narebski
Poland